LangBot Docs
Tools

List all available tools

List all available tools in the current LangBot instance, including plugin tools and MCP tools.

GET
/api/v1/tools

List all available tools in the current LangBot instance, including plugin tools and MCP tools.

Authorization

BearerAuth
AuthorizationBearer <token>

In: header

Response Body

application/json

curl -X GET "https://example.com/api/v1/tools"
{  "code": 0,  "msg": "ok",  "data": {    "tools": [      {        "name": "string",        "label": {          "property1": "string",          "property2": "string"        },        "description": {          "property1": "string",          "property2": "string"        },        "icon": "string",        "spec": {          "llm_prompt": "string",          "parameters": {}        }      }    ]  }}